it.reply.healty.innovapuglia.mstaccuino.soap.service.common

## Class SystemLogHandler

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.soap.service.common.SystemLogHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      @Component
      public class SystemLogHandler
      extends Object
      implements SOAPHandler<SOAPMessageContext>

  Gestisce la registrazione dei messaggi di richiesta e risposta nei log di sistema.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemLogHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(MessageContext messageContext)`
    `Set<QName>` | `getHeaders()`
    `boolean` | `handleFault(SOAPMessageContext messageContext)` Gestisce le eccezioni dei messaggi SOAP per la registrazione degli errori nei log di sistema.
    `boolean` | `handleMessage(SOAPMessageContext messageContext)` Elabora i messaggi SOAP in entrata e uscita per la registrazione nei log di sistema.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemLogHandler

          public SystemLogHandler()

  - ### Method Detail

    - #### handleMessage

          public boolean handleMessage(SOAPMessageContext messageContext)

      Elabora i messaggi SOAP in entrata e uscita per la registrazione nei log di sistema.
      Specified by:
        `handleMessage` in interface `Handler<SOAPMessageContext>`
      Parameters:
        `messageContext` - Contesto del messaggio SOAP da elaborare.
      Returns:
        True se il messaggio è stato gestito con successo.

    - #### handleFault

          public boolean handleFault(SOAPMessageContext messageContext)

      Gestisce le eccezioni dei messaggi SOAP per la registrazione degli errori nei log di sistema.
      Specified by:
        `handleFault` in interface `Handler<SOAPMessageContext>`
      Parameters:
        `messageContext` - Contesto del messaggio SOAP da elaborare.
      Returns:
        True se l'errore è stato gestito correttamente.

    - #### close

          public void close(MessageContext messageContext)

      Specified by:
        `close` in interface `Handler<SOAPMessageContext>`

    - #### getHeaders

          public Set<QName> getHeaders()

      Specified by:
        `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`

Copyright © 2024. All rights reserved.